# ECMWF Plots


A Python package to download the ECMWF Plots from https://charts.ecmwf.int/products/. To run the program it is very simple you just need to launch the tool on the bschub02 machine, with the following command

bash ecmwf_plots.sh <Pressure Level> <Region> <Variable> <Startdate> <Enddate>

e.g. bash ecmwf_plots.sh "1000" "africa" "t-z" "20240628" "20240630"

You can run without the startdate and endate if needed, all the following combinations are 

```
bash ecmwf_plots.sh "1000" "africa" "t-z"
bash ecmwf_plots.sh "850" "africa" "t-z"
bash ecmwf_plots.sh "700" "africa" "t-z"
bash ecmwf_plots.sh "500" "africa" "t-z"
bash ecmwf_plots.sh "300" "africa" "t-z"
bash ecmwf_plots.sh "1000" "europe" "t-z"
bash ecmwf_plots.sh "850" "europe" "t-z"
bash ecmwf_plots.sh "700" "europe" "t-z"
bash ecmwf_plots.sh "500" "europe" "t-z"
bash ecmwf_plots.sh "300" "europe" "t-z"
bash ecmwf_plots.sh "850" "africa" "uv-rh"
bash ecmwf_plots.sh "700" "africa" "uv-rh"
bash ecmwf_plots.sh "850" "europe" "uv-rh"
bash ecmwf_plots.sh "700" "europe" "uv-rh"
bash ecmwf_plots.sh "300" "africa" "uv-z"
bash ecmwf_plots.sh "300" "europe" "uv-z"
bash ecmwf_plots.sh "None" "africa" "clouds"
bash ecmwf_plots.sh "None" "europe" "clouds"
bash ecmwf_plots.sh "None" "africa" "mslp-wind200"
bash ecmwf_plots.sh "None" "europe" "mslp-wind200"
bash ecmwf_plots.sh "None" "africa" "mslp-wind850"
bash ecmwf_plots.sh "None" "europe" "mslp-wind850"
bash ecmwf_plots.sh "None" "africa" "thickness-mslp"
bash ecmwf_plots.sh "None" "europe" "thickness-mslp"
```
